Search documentation of wx

# View Source wxMultiChoiceDialog (wx v2.4.2)

Functions for wxMultiChoiceDialog class

This class represents a dialog that shows a list of strings, and allows the user to select one or more.

Styles

This class supports the following styles:

See: Overview cmndlg, `wxSingleChoiceDialog`

This class is derived (and can use functions) from: `wxDialog` `wxTopLevelWindow` `wxWindow` `wxEvtHandler`

wxWidgets docs: wxMultiChoiceDialog

# Summary

## Types

wxMultiChoiceDialog()

## Functions

destroy(This)

Destroys the object.

getSelections(This)

Returns array with indexes of selected items.

new(Parent, Message, Caption, Choices)
new/5

Constructor taking an array of `wxString` (not implemented in wx) choices.

setSelections(This, Selections)

Sets selected items from the array of selected items' indexes.

# Types

Link to this type

# wxMultiChoiceDialog()

View Source

    -type wxMultiChoiceDialog() :: wx:wx_object().

# Functions

Link to this function

# destroy(This)

View Source

    -spec destroy(This :: wxMultiChoiceDialog()) -> ok.

Destroys the object.

Link to this function

# getSelections(This)

View Source

    -spec getSelections(This) -> [integer()] when This :: wxMultiChoiceDialog().

Returns array with indexes of selected items.

Link to this function

# new(Parent, Message, Caption, Choices)

View Source

    -spec new(Parent, Message, Caption, Choices) -> wxMultiChoiceDialog()
                 when
                     Parent :: wxWindow:wxWindow(),
                     Message :: unicode:chardata(),
                     Caption :: unicode:chardata(),
                     Choices :: [unicode:chardata()].

Link to this function

# new/5

View Source

    -spec new(Parent, Message, Caption, Choices, [Option]) -> wxMultiChoiceDialog()
                 when
                     Parent :: wxWindow:wxWindow(),
                     Message :: unicode:chardata(),
                     Caption :: unicode:chardata(),
                     Choices :: [unicode:chardata()],
                     Option :: {style, integer()} | {pos, {X :: integer(), Y :: integer()}}.

Constructor taking an array of `wxString` (not implemented in wx) choices.

Remark: Use `wxDialog:showModal/1` to show the dialog.

Link to this function

# setSelections(This, Selections)

View Source

    -spec setSelections(This, Selections) -> ok
                           when This :: wxMultiChoiceDialog(), Selections :: [integer()].

Sets selected items from the array of selected items' indexes.